<?php

declare(strict_types=1);

namespace App\Entity\AgentProfile;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="agent_profiles")
 */
class AgentProfile
{

    const DEFAULT_AGENT_PROFILE_ID = 1;

    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private int $id;

    /**
     * @var string|null
     * @ORM\Column(type="string", length=64, nullable=true, unique=false)
     */
    public ?string $profileName;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $intPing = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 260})
     */
    public ?int $intRegular = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $intDebug = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $intFallback = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $intFallbackDebug = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $smallcycles = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $connfailTolerance = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $regprogress = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $fwAutoupgrade = null;

    /**
     * @var int|null
     * @ORM\Column(type="smallint", nullable=true, options={"default" : 10})
     */
    public ?int $osAutoupgrade = null;

    /**
     * @var bool|null
     * @ORM\Column(type="boolean", nullable=true, options={"default" : true})
     */
    public ?bool $system = null;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\Device", mappedBy="agentProfile", cascade={"persist"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $devices;

    /**
     * Label constructor
     */
    public function __construct() {

        $this->devices = new ArrayCollection();

    }

    /**
     * @return int|null
     */
    public function getId(): ?int {

        return $this->id;

    }

    /**
     * @return string
     */
    public function getProfileName(): string {

        return $this->profileName;

    }

}