<?php

declare(strict_types=1);

namespace App\Entity;

use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="agents")
 */
class DeviceAgent
{
    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @var string
     * @ORM\Column(type="string", length=32, nullable=false)
     */
    public string $name;

    /**
     * @var string|null
     * @ORM\Column(type="string", length=256, nullable=true)
     */
    public ?string $description;

    /**
     * @var string|null
     * @ORM\Column(type="string", length=32, nullable=true)
     */
    public ?string $minimalVersion;

    /**
     * @var string|null
     * @ORM\Column(type="string", length=32, nullable=true)
     */
    public ?string $dirName;

    /**
     * @var string|null
     * @ORM\Column(type="string", length=64, nullable=true)
     */
    public ?string $packageName;

    /**
     * @var bool|null
     * @ORM\Column(type="boolean", length=1, nullable=true)
     */
    public ?bool $showInShortcut;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\DeviceTypeAgentMapping", mappedBy="deviceAgent", cascade={"persist"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $deviceTypeAgentMappings;

    /**
     * @return int|null
     */
    public function getId(): ?int {

        return $this->id;

    }

    /**
     * @return string
     */
    public function getName(): string {

        return $this->name;

    }

    /**
     * @return string|null
     */
    public function getDescription(): ?string {

        return $this->description;

    }

    /**
     * @return string|null
     */
    public function getMinimalVersion(): ?string {

        return $this->minimalVersion;

    }

    /**
     * @return string|null
     */
    public function getDirName(): ?string {

        return $this->dirName;

    }

    /**
     * @return string|null
     */
    public function getPackageName(): ?string {

        return $this->packageName;

    }

}