<?php

declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="device_user_modules")
 */
class DeviceUserModule
{
    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @var Device
     * @ORM\ManyToOne(targetEntity="App\Entity\Device", inversedBy="userModules")
     * @ORM\JoinColumn(name="id_device", referencedColumnName="id_device")
     */
    public Device $device;

    /**
     * @var UserModule
     * @ORM\ManyToOne(targetEntity="App\Entity\UserModule", inversedBy="userModules")
     * @ORM\JoinColumn(name="module", referencedColumnName="id")
     */
    public UserModule $userModule;

    /**
     * @return int|null
     */
    public function getId(): ?int {

        return $this->id;

    }

    /**
     * @return Device
     */
    public function getDevice(): Device {

        return $this->device;

    }

    /**
     * @return UserModule
     */
    public function getUserModule(): UserModule {

        return $this->userModule;

    }

}