<?php

declare(strict_types=1);

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="labels")
 */
class Label
{
    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @var string
     * @ORM\Column(type="string", length=64, nullable=false, unique=true)
     */
    public string $label;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\LabelDeviceMap", mappedBy="label", cascade={"persist", "remove"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $devices;

    /**
     * Label constructor
     */
    public function __construct() {

        $this->devices = new ArrayCollection();

    }

    /**
     * @return int|null
     */
    public function getId(): ?int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getLabel(): string{

        return $this->label;

    }

    /**
     * @param mixed $label
     */
    public function setLabel($label): void {

        $this->label = $label;

    }

}