<?php

declare(strict_types=1);

namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="tunnel_status")
 */
class TunnelStatus
{

    /**
     * @var int|null
     * @ORM\Column(type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private ?int $id = null;

    /**
     * @var string
     * @ORM\Column(type="string", length=32, nullable=false, unique=true)
     */
    public string $name;

    /**
     * @var string
     * @ORM\Column(type="string", length=64, nullable=false, unique=true)
     */
    public string $description;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\TunnelWeb", mappedBy="status", cascade={"persist"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $tunnelStatuses;

    /**
     * @var Collection
     * @ORM\OneToMany (targetEntity="App\Entity\TunnelOperationStatusMapping", mappedBy="status", cascade={"persist"})
     * @ORM\JoinColumn(name="id")
     */
    public Collection $operationStatusMapping;

    /**
     * TunnelStatus constructor.
     */
    public function __construct() {

        $this->tunnelStatuses = new ArrayCollection();
        $this->operationStatusMapping = new ArrayCollection();

    }

    /**
     * @return int|null
     */
    public function getId(): ?int {

        return $this->id;

    }

    /**
     * @return string
     */
    public function getName(): string {

        return $this->name;

    }

    /**
     * @return string
     */
    public function getDescription(): string {

        return $this->description;

    }

}